<html>
<head>
<title>Ogre::Any Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Any.html">Any</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Any Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Any" -->
<p>Variant type that can hold <a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> other type.  
 <a href="classOgre_1_1Any.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Any:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1Any__inherit__graph.gif" border="0" usemap="#Ogre_1_1Any_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Any_inherit__map" id="Ogre_1_1Any_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1AnyNumeric.html" title="Specialised Any class which has built in arithmetic operators, but can hold only types which support ..." alt="" coords="5,83,136,112"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1Any-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1holder.html">holder</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#aa7e584ce6897ef8c468404ba60996644">Any</a> ()</td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename ValueType &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#a70649e96fecf1a03018f89214580d301">Any</a> (const ValueType &amp;value)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#a86f4cf2e8df053fc4a43ce2b8e07572d">Any</a> (const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;other)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#adc16537bcc7e1ef5ea0a0cae7bbc37bc">~Any</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#a8e18c614d89437e11df1b8defe85ea2e">swap</a> (<a class="el" href="classOgre_1_1Any.html">Any</a> &amp;rhs)</td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename ValueType &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#ace912cd3c6c53f0ebd6c7146e460cc20">operator=</a> (const ValueType &amp;rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#ab714694739f9a50a361f3087e2188c94">operator=</a> (const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#af6206a0377aaf42fbb1224a5fbaf6246">isEmpty</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const std::type_info &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#acbff05f938b211cb667dddcb46102722">getType</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#a3c414d8a6803eb4b319d39c2628b435b">destroy</a> ()</td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename ValueType &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">ValueType&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#ab9095a3fc640b7276ca9dd6f79f03d1f">operator()</a> () const </td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#a9a6bedddda6079058335bb8e78497445">mContent</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#adeded586bbc395a3e2d075d63c19f0f6">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;v)</td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename ValueType &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">ValueType *&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#ad52fddf4aadae22e9471b6d76cf9749f">any_cast</a> (<a class="el" href="classOgre_1_1Any.html">Any</a> *)</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Variant type that can hold <a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> other type. </p>

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00056">56</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa7e584ce6897ef8c468404ba60996644"></a><!-- doxytag: member="Ogre::Any::Any" ref="aa7e584ce6897ef8c468404ba60996644" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Any.html#aa7e584ce6897ef8c468404ba60996644">Ogre::Any::Any</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00060">60</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h_source.html#l00090">operator=()</a>.</p>

</div>
</div>
<a class="anchor" id="a70649e96fecf1a03018f89214580d301"></a><!-- doxytag: member="Ogre::Any::Any" ref="a70649e96fecf1a03018f89214580d301" args="(const ValueType &amp;value)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Any.html#aa7e584ce6897ef8c468404ba60996644">Ogre::Any::Any</a> </td>
          <td>(</td>
          <td class="paramtype">const ValueType &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00066">66</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

</div>
</div>
<a class="anchor" id="a86f4cf2e8df053fc4a43ce2b8e07572d"></a><!-- doxytag: member="Ogre::Any::Any" ref="a86f4cf2e8df053fc4a43ce2b8e07572d" args="(const Any &amp;other)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Any.html#aa7e584ce6897ef8c468404ba60996644">Ogre::Any::Any</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00071">71</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

</div>
</div>
<a class="anchor" id="adc16537bcc7e1ef5ea0a0cae7bbc37bc"></a><!-- doxytag: member="Ogre::Any::~Any" ref="adc16537bcc7e1ef5ea0a0cae7bbc37bc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Any.html#adc16537bcc7e1ef5ea0a0cae7bbc37bc">Ogre::Any::~Any</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00076">76</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00122">destroy()</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a3c414d8a6803eb4b319d39c2628b435b"></a><!-- doxytag: member="Ogre::Any::destroy" ref="a3c414d8a6803eb4b319d39c2628b435b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Any.html#a3c414d8a6803eb4b319d39c2628b435b">Ogre::Any::destroy</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00122">122</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00185">mContent</a>, <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00161">Ogre::MEMCATEGORY_GENERAL</a>, and <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00435">OGRE_DELETE_T</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h_source.html#l00076">~Any()</a>.</p>

</div>
</div>
<a class="anchor" id="acbff05f938b211cb667dddcb46102722"></a><!-- doxytag: member="Ogre::Any::getType" ref="acbff05f938b211cb667dddcb46102722" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::type_info&amp; <a class="el" href="classOgre_1_1Any.html#acbff05f938b211cb667dddcb46102722">Ogre::Any::getType</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00109">109</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Any_1_1placeholder.html#adbffede1819fffac5df00b2456d485ba">Ogre::Any::placeholder::getType()</a>, and <a class="el" href="OgreAny_8h_source.html#l00185">mContent</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h_source.html#l00383">Ogre::any_cast()</a>, and <a class="el" href="OgreAny_8h_source.html#l00194">operator()()</a>.</p>

</div>
</div>
<a class="anchor" id="af6206a0377aaf42fbb1224a5fbaf6246"></a><!-- doxytag: member="Ogre::Any::isEmpty" ref="af6206a0377aaf42fbb1224a5fbaf6246" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Any.html#af6206a0377aaf42fbb1224a5fbaf6246">Ogre::Any::isEmpty</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00104">104</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00185">mContent</a>.</p>

</div>
</div>
<a class="anchor" id="ab9095a3fc640b7276ca9dd6f79f03d1f"></a><!-- doxytag: member="Ogre::Any::operator()" ref="ab9095a3fc640b7276ca9dd6f79f03d1f" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">ValueType Ogre::Any::operator() </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00194">194</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00111">Ogre::Exception::ERR_INVALIDPARAMS</a>, <a class="el" href="OgreAny_8h_source.html#l00109">getType()</a>, and <a class="el" href="OgreAny_8h_source.html#l00185">mContent</a>.</p>

</div>
</div>
<a class="anchor" id="ace912cd3c6c53f0ebd6c7146e460cc20"></a><!-- doxytag: member="Ogre::Any::operator=" ref="ace912cd3c6c53f0ebd6c7146e460cc20" args="(const ValueType &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Any.html">Any</a>&amp; Ogre::Any::operator= </td>
          <td>(</td>
          <td class="paramtype">const ValueType &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00090">90</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00060">Any()</a>.</p>

</div>
</div>
<a class="anchor" id="ab714694739f9a50a361f3087e2188c94"></a><!-- doxytag: member="Ogre::Any::operator=" ref="ab714694739f9a50a361f3087e2188c94" args="(const Any &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Any.html">Any</a>&amp; Ogre::Any::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00096">96</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00060">Any()</a>.</p>

</div>
</div>
<a class="anchor" id="a8e18c614d89437e11df1b8defe85ea2e"></a><!-- doxytag: member="Ogre::Any::swap" ref="a8e18c614d89437e11df1b8defe85ea2e" args="(Any &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Any.html">Any</a>&amp; <a class="el" href="classOgre_1_1Any.html#a8e18c614d89437e11df1b8defe85ea2e">Ogre::Any::swap</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00083">83</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00185">mContent</a>.</p>

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="ad52fddf4aadae22e9471b6d76cf9749f"></a><!-- doxytag: member="Ogre::Any::any_cast" ref="ad52fddf4aadae22e9471b6d76cf9749f" args="(Any *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">ValueType* <a class="el" href="classOgre_1_1Any.html#ad52fddf4aadae22e9471b6d76cf9749f">any_cast</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Any.html">Any</a> *&#160;</td>
          <td class="paramname"><em>operand</em></td><td>)</td>
          <td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00383">383</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

</div>
</div>
<a class="anchor" id="adeded586bbc395a3e2d075d63c19f0f6"></a><!-- doxytag: member="Ogre::Any::operator&lt;&lt;" ref="adeded586bbc395a3e2d075d63c19f0f6" args="(std::ostream &amp;o, const Any &amp;v)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&#160;</td>
          <td class="paramname"><em>v</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00115">115</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a9a6bedddda6079058335bb8e78497445"></a><!-- doxytag: member="Ogre::Any::mContent" ref="a9a6bedddda6079058335bb8e78497445" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a>* <a class="el" href="classOgre_1_1Any.html#a9a6bedddda6079058335bb8e78497445">Ogre::Any::mContent</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00185">185</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h_source.html#l00383">Ogre::any_cast()</a>, <a class="el" href="OgreAny_8h_source.html#l00234">Ogre::AnyNumeric::AnyNumeric()</a>, <a class="el" href="OgreAny_8h_source.html#l00122">destroy()</a>, <a class="el" href="OgreAny_8h_source.html#l00109">getType()</a>, <a class="el" href="OgreAny_8h_source.html#l00104">isEmpty()</a>, <a class="el" href="OgreAny_8h_source.html#l00194">operator()()</a>, <a class="el" href="OgreAny_8h_source.html#l00336">Ogre::AnyNumeric::operator*()</a>, <a class="el" href="OgreAny_8h_source.html#l00363">Ogre::AnyNumeric::operator*=()</a>, <a class="el" href="OgreAny_8h_source.html#l00326">Ogre::AnyNumeric::operator+()</a>, <a class="el" href="OgreAny_8h_source.html#l00351">Ogre::AnyNumeric::operator+=()</a>, <a class="el" href="OgreAny_8h_source.html#l00331">Ogre::AnyNumeric::operator-()</a>, <a class="el" href="OgreAny_8h_source.html#l00357">Ogre::AnyNumeric::operator-=()</a>, <a class="el" href="OgreAny_8h_source.html#l00346">Ogre::AnyNumeric::operator/()</a>, <a class="el" href="OgreAny_8h_source.html#l00369">Ogre::AnyNumeric::operator/=()</a>, and <a class="el" href="OgreAny_8h_source.html#l00083">swap()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAny_8h_source.html">OgreAny.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
